package com.gic.enterprise.service;

import com.gic.enterprise.dto.rule.RuleClassifyDTO;
import com.gic.enterprise.dto.rule.RuleClassifySceneDTO;
import com.gic.enterprise.dto.rule.RuleDTO;
import com.gic.enterprise.entity.TabConfigRule;

/**
 * 平台规则配置
 * @ClassName: ConfigRuleService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/3 2:51 PM 
 */
public interface ConfigRuleService {

    /**
     * 新增规则
     * @Title: saveRule 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    Integer saveRule(RuleDTO dto);
    /**
     * 新增分类
     * @Title: saveRuleClassify 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    Integer saveRuleClassify(RuleClassifyDTO dto);
    /**
     * 新增场景
     * @Title: saveRuleClassifyScene 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    Integer saveRuleClassifyScene(RuleClassifySceneDTO dto);

    void update(TabConfigRule record);

    TabConfigRule getByRuleId(Integer ruleId);

    /**
     * 名称唯一性校验
     * @param ruleId
     * @param ruleLevel
     * @param name
     * @return
     */
    boolean isRepeatName(Integer ruleId, Integer ruleLevel, String name);
}
